<div *ngIf="detail; else normalBlock">
  <div class="platform-allview-detail">
    <div *ngIf="monitoredObject.status !== null; else elseBlock">
      <div *ngIf="monitoredObject.status.services.length > 0; else elseBlock2">
        <div class="status-allview-detail" [ngClass]="['status-' + monitoredObject.status.services[0].status]">
          <i class="icon-allview-detail fa-2x" [ngClass]="['icon-' + monitoredObject.status.services[0].icon]" style="color: white"></i>
        </div>
        <div class="content-allview-detail">
          <div class="content-tilte-allview-detail">
            {{monitoredObject.alias}}
          </div>
        </div>
      </div>

      <ng-template #elseBlock2>
        <div class="status-allview-detail status-none">
          <i class="none icon-none fa-2x"></i>
        </div>

        <div class="content-allview-detail">
          <div class="content-tilte-allview-detail">
            {{monitoredObject.alias}}
          </div>
        </div>
      </ng-template>
    </div>
    <ng-template #elseBlock>
      <div class="status-allview-detail status-none">
        <i class="none icon-none fa-2x" style="color: white"></i>
      </div>

      <div class="content-allview-detail">
        <div class="content-tilte-allview-detail">
          {{monitoredObject.alias}}
        </div>
      </div>
    </ng-template>
  </div>
</div>

<ng-template #normalBlock>
<div class="platform-allview-normal">
  <!--<div *ngIf="monitoredObject.status !== null; else elseBlock">-->
    <!--<div *ngIf="monitoredObject.status.services.length > 0; else elseBlock2">-->
      <!--<div class="status-allview-detail" [ngClass]="['status-' + monitoredObject.status.services[0].status]">-->
        <!--<i class="icon-allview-detail fa-2x" [ngClass]="['icon-' + monitoredObject.status.services[0].icon]" style="color: white"></i>-->
      <!--</div>-->
      <!--<div class="content-allview-detail">-->
        <!--<div class="content-tilte-allview-detail">-->
          <!--{{monitoredObject.alias}}-->
        <!--</div>-->
      <!--</div>-->
    <!--</div>-->

    <!--<ng-template #elseBlock2>-->
      <!--<div class="status-allview-detail status-none-allview-detail">-->
        <!--<i class="none icon-none"></i>-->
      <!--</div>-->

      <!--<div class="content-allview-detail">-->
        <!--<div class="content-tilte-allview-detail">-->
          <!--{{monitoredObject.alias}}-->
        <!--</div>-->
      <!--</div>-->
    <!--</ng-template>-->
  <!--</div>-->
  <!--<ng-template #elseBlock>-->
    <!--<div class="status-allview-detail status-none-allview-detail">-->
      <!--<i class="none icon-none fa-2x" style="color: white"></i>-->
    <!--</div>-->

    <!--<div class="content-allview-detail">-->
      <!--<div class="content-tilte-allview-detail">-->
        <!--{{monitoredObject.alias}}-->
      <!--</div>-->
    <!--</div>-->
  <!--</ng-template>-->


    <div class="content-allview-normal"><div class="rowtitle-allview-normal">{{monitoredObject.alias}}</div></div>
    <div class="status-list-allview-normal">
      <div *ngIf="monitoredObject.status !== null; else elseBlockNormal">
        <div *ngIf="monitoredObject.status.services.length > 0; else elseBlock2Normal">
          <div class="status-allview-normal" [ngClass]="['status-' + service.status]" *ngFor="let service of monitoredObject.status.services">
            <i class="icon" [ngClass]="['icon-' + service.icon]" style="color: white"></i>
          </div>
        </div>
        <ng-template #elseBlock2Normal>
          <div class="status-allview-normal status-none">
            <i class="none icon-none" style="color: white"></i>
          </div>
        </ng-template>
      </div>
      <ng-template #elseBlockNormal>
        <div class="status-allview-normal status-none">
          <i class="none icon-none" style="color: white"></i>
        </div>
      </ng-template>
    </div>
</div>
</ng-template>

<!--<div class="platform platform-normal" [ngClass]="[detail? 'platform-detail' : 'platform-normal']">-->
  <!--<div class="content">-->
    <!--<div class="row-logo-container">-->
      <!--<i class="row-logo icon-skype-for-business fa-3x"></i>-->
    <!--</div>-->
    <!--<div class="row-info-container">-->
      <!--<div class="row-title">{{monitoredObject.alias}}</div>-->
      <!--<div class="row-counters">-->
        <!--<div class="row-counter row-counter-critical">0</div>-->
        <!--<div class="row-counter row-counter-degraded">0</div>-->
        <!--<div class="row-counter row-counter-up">0</div>-->
      <!--</div>-->
    <!--</div>-->
  <!--</div>-->
  <!--<div class="content-detail">-->
    <!--<div *ngIf="monitoredObject.status !== null;">-->
      <!--<div *ngIf="monitoredObject.status.services.length > 0;" class="content-detail">-->
        <!--<div class="row-service-container"  *ngFor="let service of monitoredObject.status.services">-->
          <!--<div class="status-icon" [ngClass]="['status-' + service.status]"><i class="icon fa-2x" [ngClass]="['icon-' + service.icon]" style="color: white"></i></div>-->
          <!--<div class="status-name"><div style="overflow:hidden ;text-overflow: ellipsis">{{service.name}}</div></div>-->
        <!--</div>-->
      <!--</div>-->
      <!--&lt;!&ndash;<ng-template #elseBlock2>&ndash;&gt;-->
        <!--&lt;!&ndash;<div class="status status-none">&ndash;&gt;-->
          <!--&lt;!&ndash;<i class="none icon-none"></i>&ndash;&gt;-->
        <!--&lt;!&ndash;</div>&ndash;&gt;-->
      <!--&lt;!&ndash;</ng-template>&ndash;&gt;-->
    <!--</div>-->
    <!--&lt;!&ndash;<ng-template #elseBlock>&ndash;&gt;-->
      <!--&lt;!&ndash;<div class="status status-none">&ndash;&gt;-->
        <!--&lt;!&ndash;<i class="none icon-none"></i>&ndash;&gt;-->
      <!--&lt;!&ndash;</div>&ndash;&gt;-->
    <!--&lt;!&ndash;</ng-template>&ndash;&gt;-->
  <!--</div>-->
<!--</div>-->

